Naar hoofdinhoud gaan
GET
/
v1
/
monitors
/
{monitor_id}
/
planning
Verkrijg Monitor Planning
curl --request GET \
  --url https://api.olostep.com/v1/monitors/{monitor_id}/planning \
  --header 'Authorization: Bearer <token>'
{
  "spec": {
    "saved_at": "<string>",
    "status": "<string>",
    "goal": "<string>",
    "reasoning": "<string>",
    "constraints": "<string>",
    "assumptions": "<string>",
    "input": {},
    "output": {},
    "chat_history": [
      {}
    ]
  },
  "dag": {
    "user_query": "<string>",
    "query_intent_mode": "<string>",
    "query_intent_stream_change_type": "<string>",
    "scrape_strategy": "<string>",
    "subtasks": [
      {}
    ],
    "graph": {},
    "has_unresolved": true,
    "unresolved": [
      {}
    ],
    "validation": {
      "is_valid": true,
      "attempts": 123,
      "history": [
        {}
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.olostep.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Bearer authenticatie header in de vorm Bearer , waar jouw auth token is.

Padparameters

monitor_id
string
vereist
Pattern: ^monitor_

Respons

Planning artefacten.

spec
object
dag
object